// SSmileyCube.h: Schnittstelle fr die Klasse SSmileyCube.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_SSMILEYCUBE_H__9FB938DC_DFE5_4F10_A04C_2DB46263EE00__INCLUDED_)
#define AFX_SSMILEYCUBE_H__9FB938DC_DFE5_4F10_A04C_2DB46263EE00__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "SVector.h"
#include "STexture.h"

class SSmileyCube  
{
public:
	void updateMousePosition(int mouseX, int mouseY, int width, int height);
	void create(SVector vecCenter);
	void draw();


	SSmileyCube();
	virtual ~SSmileyCube();
protected:


	SVector vecCenter;
	float rotation[2];
	float mousePosition[2];
	STexture texture;
};

#endif // !defined(AFX_SSMILEYCUBE_H__9FB938DC_DFE5_4F10_A04C_2DB46263EE00__INCLUDED_)
